wordpress and php version and e-newsletter

Hi,

1) Can anybody tell me which version of wordpress runs on php 5.1.6 (server company won't upgrade php)

2)
which version of e-newsletter plugin will work on on the above version of wordpress?